--- title: "get-box-custom-image" slug: "get-box-custom-image" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/get-box-custom-image" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-box-custom-image Available in VPC Get a user image in a box. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/box/get-box-custom-image | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `productCode` | String | Required | Box spec code - `CON` \| `TF_CPU` \| `TF_GPU` \| `SVR_LNX_UBUNTU` \| `SVR_WIN` - `CON`: connect server - `TF_CPU`: TensorFlow server (CPU) - `TF_GPU`: TensorFlow server (GPU) - `SVR_LNX_UBUNTU`: Linux server (Ubuntu) - `SVR_WIN`: Windows Server | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datafence.apigw.ntruss.com/api/v1/box/get-box-custom-image?fenceId=26&productCode=CON' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | - | User server image information]: [content](/docs/en/get-box-custom-image#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `imageNo` | Integer | - | Image number | | `imageName` | String | - | Image name | | `productCode` | String | - | Box spec code - `CON` \| `TF_CPU` \| `TF_GPU` \| `SVR_LNX_UBUNTU` \| `SVR_WIN` - `CON`: connect server - `TF_CPU`: TensorFlow server (CPU) - `TF_GPU`: TensorFlow server (GPU) - `SVR_LNX_UBUNTU`: Linux server (Ubuntu) - `SVR_WIN`: Windows Server | | `baseServerName` | String | - | Default server name of the image | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": [ { "imageNo": 1, "imageName": "box-custom-image-1", "productCode": "CON", "baseServerName": "conn-1-1" } ] } ```